/***************************************************************************
                          kpopup.h  -  description
                             -------------------
    copyright            : (C) 2000 by Torsten Henschel
    email                : henschel@fh-brandenburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPOPUP_H
#define KPOPUP_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>
#include <kstatusbar.h>
#include <ktmainwindow.h>
#include <ktoolbar.h>

#include <qdatetime.h>
#include <qtextview.h>

class Kpopup : public KTMainWindow
{
 Q_OBJECT

 public:
         Kpopup(int argc, char **argv);
         ~Kpopup();
         void AnswerPopup();
         void NewPopup();
         void SetStatusText(const char *);

 private slots:
               void commandCallback(int);
               void TimerDone();

 private:
         void Init();
         void InitToolbar();
         void InitStatusbar();

         KStatusBar *statusbar;
         KToolBar *toolbar;
         QLabel *L_Label_Sender;
         QLabel *L_Sender;
         QLabel *L_Label_DateTime;
         QLabel *L_DateTime;
         QDate *Date;
         QTextView *TV_Text;
         QTime *Time;
         QTimer *timer;
         char *Filename;
         char *Sender;
};

#endif
